	program main	!

	! integer ic1(10), ic2(10), nc(3), ncp(3), itran(3), live(3)
	! real a(10,5), d(10), c(3, 5), an1(3), an2(3), wss(3), dt(2)

	parameter(m = 10)
	parameter(n = 5)
	parameter(k = 3)

	integer ic1(m), ic2(m), nc(k), ncp(k), itran(k), live(k)
	real a(m,n), d(m), c(k, n), an1(k), an2(k), wss(k), dt(2)
	
	iter = 20

	OPEN(10,FILE='read_dat')
	write(*,*) 'a='
	do i = 1, m
		read(10,*) (a(i, j), j = 1, n)
		write(*,*) (a(i, j), j = 1, n)
	enddo

	do i = 1, k
		do j = 1, n
			c(i, j) = a(i, j)
		enddo
	enddo

	call kmns (a, m, n, m, c, k, IC1, IC2, NC, AN1, AN2, NCP, D,
     *    ITRAN, LIVE, ITER, WSS, IFAULT)

	write(*,*) 'ifault=', ifault
	write(*,*) 'wss=', (wss(i), i = 1, k)
	write(*,*) 'an1=', (an1(i), i = 1, k)
	write(*,*) 'an2=', (an2(i), i = 1, k)
	write(*,*) 'd=', (d(i), i = 1, m)
	write(*,*) 'nc=', (nc(i), i = 1, k)
	write(*,*) 'itran=', (itran(i), i = 1, k)
	write(*,*) 'live=', (live(i), i = 1, k)
	write(*,*) 'c='
	do i = 1, k
		write(*,*) (c(i, j), j = 1, n)
	enddo
	write(*,*) 'ic1=', (ic1(i), i = 1, m)
	write(*,*) 'ic2=', (ic2(i), i = 1, m)

	close(10)
	stop 
	end
